<!-- Begin @dataBrowseGraphics.md -->

# Illustration de la donnée

## Définition

Ce champ fourni un lien vers une image représentant la donnée ou le lot de données.
Il peut s’agir d’une représentation de la donnée ou d’une carte basée sur cette donnée. La carte ou la couche de données doit être clairement mise en évidence sur l’image créée par une sémiologie graphique adaptée.

L'illustration de la données est définie par 2 champs:

- L'URL vers l'image
- La description de l'image fournie

## Recommandations

Les caractéristiques de l’image ne sont pas imposées, cependant, il faut veiller à :

- Fournir une image lisible et représentative de la donnée décrite.
- Fournir une image de taille et de poids raisonnable, adaptée aux données représentées (ex. : 300 x 300px à 96dpi pour 50 à 200ko).
- Privilégier un format standard, adapté à une représentation sur internet (ex. : jpg, png, etc) et éviter les format non compressés ou spécifiques à une utilisation (ecw, geoTif, etc.)

Il est recommandé de donner à l’image le même nom que le fichier de métadonnées. Un suffixe précisant le numéro d’ordre peut être ajouté lorsque plusieurs illustrations sont mises à disposition : « NomFiche-1.jpg », « NomFiche-2.jpg », etc.

Le lien vers la ou les illustrations doit être unique, public et disponible de façon pérenne.
Le stockage des illustration et leur accessibilité est sous la responsabilité de l’organisme qui saisie ou gère la fiche de métadonnées

## Exemples

- URL : http://www.cigalsace.org/metadata/CRA/...
- Description: Carte de ...

<!-- End @dataBrowseGraphics.md -->
