<!-- Begin @dataInspireKeywords.md -->

# Classification européenne INSPIRE

## Définition
Ce champ permet de classer la donnée dans un ou plusieurs thèmes d’une liste fermée de valeurs définis au niveau européen via la directive INSPIRE. Cette classification vise à faciliter la recherche de cette donnée.  
Il est important d’associer la donnée au(x) thème(s) le(s) plus pertinent parmi les 34 thèmes ci-après définis.

La liste des valeurs proposées dans le cadre du partenariat CIGAL est celle définit par la directive européenne Inspire, s’appuyant sur le Thesaurus GEMET des thèmes Inspire et reprise dans le tableau suivant.

Liste des thèmes de classification européens :

| Id | Intitulé | Défintion  |
|----|----|-------|
| 1  | Référentiels de coordonnées  | Systèmes de référencement unique des informations géographiques dans l'espace sous forme d'une série de coordonnées (x, y, z) et/ou la latitude et la longitude et l'altitude, en se fondant sur un point géodésique horizontal et vertical.   |
| 2  | Systèmes de maillage géographique  | Grille multi-résolution harmonisée avec un point d'origine commun et une localisation ainsi qu'une taille des cellules harmonisées.     |
| 3  | Dénominations géographiques  | Noms de zones, de régions, de localités, de grandes villes, de banlieues,  de villes moyennes ou d'implantations, ou tout autre élément géographique ou topographique d'intérêt public ou historique.  |
| 4  | Unités administratives   | Unités d'administration séparées par des limites administratives et délimitant les zones dans lesquelles les États membres détiennent et/ou exercent leurs compétences, aux fins de l'administration locale, régionale et nationale.     |
| 5  | Adresses | Localisation des propriétés fondée sur les identifiants des adresses, habituellement le nom de la rue, le numéro de la maison et le code postal.  |
| 6  | Parcelles cadastrales    | Zones définies par les registres cadastraux ou équivalents.  |
| 7  | Réseaux de transport     | Réseaux routier, ferroviaire, aérien et navigable ainsi que les infrastructures associées. Sont également incluses les correspondances entre les différents réseaux, ainsi que le réseau transeuropéen de transport tel que défini dans la décision no 1#96/CE du Parlement européen et du Conseil du 23 juillet 1996 sur les orientations communautaires pour le développement du réseau transeuropéen de transport et les révisions futures de cette décision.     |
| 8  | Hydrographie   | Éléments hydrographiques, y compris les zones maritimes ainsi que toutes les autres masses d'eau et les éléments qui y sont liés, y compris les bassins et sous-bassins hydrographiques. Conformes, le cas échéant, aux définitions établies par la directive 2000/60/CE du Parlement européen et du Conseil du 23 octobre 2000 établissant un cadre pour une politique communautaire dans le domaine de l'eau et sous forme de réseaux.   |
| 9  | Sites protégés     | Zone désignée ou gérée dans un cadre législatif international, communautaire ou national en vue d'atteindre des objectifs spécifiques de conservation.  |
| 10 | Altitude | Modèles numériques pour l'altitude des surfaces terrestres, glaciaires et océaniques. Comprend l'altitude terrestre, la bathymétrie et la ligne de rivage.  |
| 11 | Occupation des terres    | Couverture physique et biologique de la surface terrestre, y compris les surfaces artificielles, les zones agricoles, les forêts, les zones (semi-) naturelles, les zones humides et les masses d'eau.     |
| 12 | Ortho-imagerie     | Images géoréférencées de la surface terrestre, provenant de satellites ou de capteurs aéroportés.     |
| 13 | Géologie | Géologie caractérisée en fonction de la composition et de la structure. Englobe le substratum rocheux, les aquifères et la géomorphologie.    |
| 14 | Unités statistiques  | Unités de diffusion ou d'utilisation d'autres informations statistiques.    |
| 15 | Bâtiments  | Situation géographique des bâtiments.  |
| 16 | Sols     | Sols et sous-sol caractérisés selon leur profondeur, texture, structure et teneur en particules et en matières organiques, pierrosité, érosion, le cas échéant pente moyenne et capacité anticipée de stockage de l'eau.   |
| 17 | Usage des sols     | Territoire caractérisé selon sa dimension fonctionnelle prévue ou son objet socioéconomique actuel et futur (par exemple, résidentiel, industriel, commercial, agricole, forestier, récréatif).  |
| 18 | Santé et sécurité des personnes    | Répartition géographique des pathologies dominantes (allergies, cancers, maladies respiratoires, etc.) liées directement (pollution de l'air, produits chimiques, appauvrissement de la couche d'ozone, bruit, etc.) ou indirectement (alimentation, organismes génétiquement modifiés, etc.) à la qualité de l'environnement, et ensemble des informations relatif à l'effet de celle-ci sur la santé des hommes (marqueurs biologiques, déclin de la fertilité, épidémies) ou leur bien-être (fatigue, stress, etc.). |
| 19 | Services d'utilité publique et services publics  | Comprend les installations d'utilité publique, tels que les égouts ou les réseaux et installations liés à la gestion des déchets, à l'approvisionnement énergétique, à l'approvisionnement en eau, ainsi que les services administratifs et sociaux publics, tels que les administrations publiques, les sites de la protection civile, les écoles et les hôpitaux.     |
| 20 | Installations de suivi environnemental | La situation et le fonctionnement des installations de suivi environnemental comprennent l'observation et la mesure des émissions, de l'état du milieu environnemental et d'autres paramètres de l'écosystème (biodiversité, conditions écologiques de la végétation, etc.) par les autorités publiques ou pour leur compte.    |
| 21 | Lieux de production et sites industriels     | Sites de production industrielle, y compris les installations couvertes par la directive 96/61/CE du Conseil du 24 septembre 1996 relative à la prévention et à la réduction intégrées de la pollution et les installations de captage d'eau, d'extraction minière et de stockage.     |
| 22 | Installations agricoles et aquacoles   | Équipement et installations de production agricoles (y compris les systèmes d'irrigation, les serres et les étables).     |
| 23 | Répartition de la population – démographie   | Répartition géographique des personnes, avec les caractéristiques de population et les niveaux d'activité, regroupées par grille, région, unité administrative ou autre unité analytique.    |
| 24 | Zones de gestion, de restriction ou de réglementation et unités de déclaration | Zones gérées, réglementées ou utilisées pour les rapports aux niveaux international, européen, national, régional et local. Sont inclus les décharges, les zones restreintes aux alentours des sources d'eau potable, les zones vulnérables aux nitrates, les chenaux réglementés en mer ou les eaux intérieures importantes, les zones destinées à la décharge de déchets, les zones soumises à limitation du bruit, les zones faisant l'objet de permis d'exploration et d'extraction minière, les districts hydrographiques, les unités correspondantes utilisées pour les rapports et les zones de gestion du littoral. |
| 25 | Zones à risque naturel   | Zones sensibles caractérisées en fonction des risques naturels (tous les phénomènes atmosphériques, hydrologiques, sismiques, volcaniques, ainsi que les feux de friche qui peuvent, en raison de leur situation, de leur gravité et de leur fréquence, nuire gravement à la société), tels qu'inondations, glissements et affaissements de terrain, avalanches, incendies de forêts, tremblements de terre et éruptions volcaniques.  |
| 26 | Conditions atmosphériques    | Conditions physiques dans l'atmosphère. Comprend les données géographiques fondées sur des mesures, sur des modèles ou sur une combinaison des deux, ainsi que les lieux de mesure.    |
| 27 | Caractéristiques géographiques météorologiques   | Conditions météorologiques et leur mesure: précipitations, température, évapotranspiration, vitesse et direction du vent.     |
| 28 | Caractéristiques géographiques océanographiques  | Conditions physiques des océans (courants, salinité, hauteur des vagues, etc.).   |
| 29 | Régions maritimes  | Conditions physiques des mers et des masses d'eau salée divisées en régions et en sous-régions à caractéristiques communes.   |
| 30 | Régions biogéographiques     | Zones présentant des conditions écologiques relativement homogènes avec des caractéristiques communes.    |
| 31 | Habitats et biotopes     | Zones géographiques ayant des caractéristiques écologiques particulières — conditions, processus, structures et fonctions (de maintien de la vie) — favorables aux organismes qui y vivent. Sont incluses les zones terrestres et aquatiques qui se distinguent par leurs caractéristiques géographiques, abiotiques ou biotiques, qu'elles soient naturelles ou semi-naturelles. |
| 32 | Répartition des espèces  | Répartition géographique de l'occurrence des espèces animales et végétales regroupées par grille, région, unité administrative ou autre unité analytique.   |
| 33 | Sources d'énergie  | Sources d'énergie comprenant les hydrocarbures, l'énergie hydraulique, la bioénergie, l'énergie solaire, l'énergie éolienne, etc., le cas échéant accompagnées d'informations relatives à la profondeur/la hauteur de la source.     |
| 34 | Ressources minérales     | Données minérales comprenant les minerais métalliques, les minéraux industriels, etc., le cas échéant accompagnées d'informations relatives à la profondeur/la hauteur de la donnée.   |

## Recommandations

Il est recommandé de n’indiquer qu’un seul thème INSPIRE. Une donnée appartenant à plusieurs thèmes doit rester une exception, mais si elle appartient bien à plusieurs thèmes, ne pas hésiter à lui associer plusieurs thèmes.
Il est important de s’assurer de la cohérence des informations saisies pour la catégorie internationale et la classification européenne Inspire.

## Exemples

Classification européenne : « Répartition de la population – démographie »

<!-- End @dataInspireKeywords.md -->
