<!-- Begin @dataKeywords.md -->

# Mots-clés

## Définition

Lors de la description d’une donnée, il est possible et conseillé d’indiquer un ou plusieurs mots-clés qui faciliteront la recherche pour l’utilisateur final.

## Recommandations

Les mots-clés viennent en complément de la catégorie internationale et des éléments de la classification européenne. Il n’est donc pas nécessaire de reprendre les thèmes déjà définis.
Les mots-clés doivent être écrits en minuscule, accentués et au singulier.

Leur choix doit répondre à quelques règles de bon sens pour faciliter la recherche par l’utilisateur final :
Inutile de saisir un trop grand nombre de mots-clés : 3 à 10 mots-clés doivent généralement suffire.
Privilégier les termes qui qualifient la donnée au détriment de ceux qui seront trop génériques comme « donnée géographique » ou « base de données ».  
Eviter de renseigner ici une information qui relève d’un autre champ, comme le système de projection, le format de diffusion ou la catégorie internationale.  
Saisir des mots susceptibles d’être recherchés par l’utilisateur final, c’est à dire utilisés dans le langage habituel. Par exemple, le terme « chemin » sera sans doute préférable à celui de « sente ». Cependant, dans certains cas, données techniques par exemple, des termes spécifiques peuvent être privilégiés.

Lorsque les mots-clés sont issus d’un thésaurus, il est recommandé de préciser les informations sur le thésaurus (nom du thesaurus et la date de création, publication ou mise à jour) dans les champs correspondants.

Pour renseigner les mots-clés, il est conseillé d’utiliser le thésaurus GEMET qui est multilingue :  http://www.eionet.europa.eu/gemet/alphabetic?langcode=fr.  

Pour ce thésaurus, les informations à renseigner sont :

- Nom du thésaurus : "GEMET - Concepts, version 3.0, 2011-07-13"
- Date de publication : "13/07/2011"

## Exemples

- Mot-clé complémentaire :
- Mot-clé : "modèle terrestre numérique"
- Nom du thésaurus : "GEMET - Concepts, version 3.0, 2011-07-13"
- Date de publication : "13/07/2011"

<!-- End @dataKeywords.md -->
