<!-- Begin @dataLegalAccessInspireConstraints.md -->

# Contraintes légales d’accès public selon INSPIRE

## Définition

Cette information renseigne l’utilisateur sur les contraintes d’accès publics imposées par la loi au regarde la mise en œuvre d’Inspire.

La liste des valeurs proposées dans le cadre du partenariat CIGAL est celle définit au niveau français par la Conseil National de l’information Géographique (CNIG) et reprise dans le tableau suivant.

Liste des valeurs pour la définition des contraintes légales d’accès public selon INSPIRE :

| Id | Raison légale  | Intitulé de la contrainte   |
|----|----|---|
| 0  | Pas de restriction d’accès public selon INSPIRE    | Aucun des articles de la loi ne peut être invoqué pour justifier d’une restriction d’accès public.  |
| 1  | L12#I-1 du code de l’environnement (Directive 2007/2/CE (INSPIRE), Article 1#)     | La confidentialité des travaux des autorités publiques, lorsque cette confidentialité est prévue par la loi.    |
| 2  | L124-5-II-1 du code de l’environnement (Directive 2007/2/CE (INSPIRE), Article1#)  | Les relations internationales, la sécurité publique ou la défense nationale.    |
| 3  | L124-5-II-2 du code de l’environnement (Directive 2007/2/CE (INSPIRE), Article 1#) | La bonne marche de la justice, la possibilité pour toute personne d’être jugée équitablement ou la capacité d’une autorité publique d’effectuer une enquête d’ordre pénal ou disciplinaire.     |
| 4  | L12#I-1 du code de l’environnement (Directive 2007/2/CE (INSPIRE), Article 1#)     | La confidentialité des informations commerciales ou industrielles, lorsque cette confidentialité est prévue par la législation nationale ou communautaire afin de protéger un intérêt économique légitime, notamment l’intérêt public lié à la préservation de la confidentialité des statistiques et du secret fiscal. |
| 5  | L124-5-II-3 du code de l’environnement (Directive 2007/2/CE (INSPIRE), Article 1#) | Les droits de propriété intellectuelle.     |
| 6  | L12#I-1 du code de l’environnement (Directive 2007/2/CE (INSPIRE), Article 1#)     | La confidentialité des données à caractère personnel et/ou des fichiers concernant une personne physique lorsque cette personne n’a pas consenti à la divulgation de ces informations au public, lorsque la confidentialité de ce type d’information est prévue par la législation nationale ou communautaire.  |
| 7  | L12#I-3 du code de l’environnement (Directive 2007/2/CE (INSPIRE), Article 1#)     | Les intérêts ou la protection de toute personne qui a fourni les informations demandées sur une base volontaire sans y être contrainte par la loi ou sans que la loi puisse l’y contraindre, à moins que cette personne n’ait consenti à la divulgation de ces données.     |
| 8  | L12#I-2 du code de l’environnement (Directive 2007/2/CE (INSPIRE), Article 1#)     | La protection de l’environnement auquel ces informations ont trait, comme par exemple la localisation d’espèces rares.  |

Il est précisé que l’article L12#I du code de l’environnement (cas 1, 4, 6, 7 et 8) ne peut pas être invoqué pour justifier une restriction d’accès public à des informations concernant des émissions dans l’environnement (article L 127-6 du même code).
Par ailleurs, selon l’article L127-8-IV du code de l’environnement, une restriction d’accès public au titre de l’article L124-5-II 1er ou 2ème alinéa du code de l’environnement (cas 2 et 3) induit une restriction de partage de la donnée entre autorités publiques.

## Recommandations

La valeur par défaut est « Pas de restriction d’accès public selon INSPIRE ».

## Exemples

Contrainte légale d’accès public selon Inspire : « Pas de restriction d’accès public selon INSPIRE ».

<!-- End @dataLegalAccessInspireConstraints.md -->
