<!-- Begin @dataTitle.md -->

# Titre de la donnée

## Définition

Le titre correspond à un ensemble d’informations permettant d’identifier et qualifier rapidement la donnée. C’est généralement l’information qui apparaît en premier à la suite des recherches effectuées pour trouver une donnée. Le titre doit être explicite et définir clairement la donnée.

## Recommandations

Il est recommandé de préciser dans le titre :

- Le type de donnée (carte, donnée thématique, référentiel, etc.)
- Le nom de la donnée, officiel ou habituel, en évitant l’utilisation d’un acronyme non explicité
- La version ou le millésime (année/date de production) de la donnée
- Le nom de l’emprise ou du territoire concerné par la donnée

## Exemples

**Titre de la donnée : « REFERENTIEL CIGAL : Base de données d’occupation du sol 2008 (BdOCS2008-CIGAL) – Alsace »**

- *"REFERENTIEL CIGAL"* : la donnée correspond à un référentiel produit ou acquis dans le cadre du partenariat CIGAL.
- *"Base de données (...) 2008 (BdOCS2008-CIGAL)"* : nom développé de la donnée avec entre parenthèse la version abrégée.
- *"Alsace"* : territoire couvert par la donnée.

**Titre de la donnée : « DONNEE THEMATIQUE : Piste cyclables 2010 – Communauté Urbaine de Strasbourg (CUS) »**

- *"DONNEE THEMATIQUE"* : la donnée correspond à une donnée thématique.
- *"Piste cyclables 2010"* : nom de la donnée, précisant le thème concerné ainsi que le millésime.
- *"Communauté Urbaine de Strasbourg (CUS)"* : territoire couvert par la donnée.

**Titre de la donnée : « CARTE : Découpage administratif pas SCOT en 2004 – Haut-Rhin »**

- *"CARTE"* : la fiche décrit une carte (donnée mise en forme).
- *"Découpage administratif pas SCOT en 2004"* : titre de la carte précisant son objet ainsi que le millésime.
- *"Haut-Rhin"* : territoire couvert par la donnée.

<!-- End @dataTitle.md -->
