<!-- Begin @dataUseLimitations.md -->

# Limites et contraintes légales d’accès et d’utilisation

## Généralité sur les contraintes légales d’accès et d’utilisation

Ces informations concernent l’approche légale des limites et contraintes d’accès et d’utilisation de la donnée. Les limites d’usage de la donnée relatives à ses caractéristiques techniques (échelle, précision, etc.) sont à renseigner dans le texte sur la qualité de la donnée (cf. paragraphe #.

Pour définir les limites et contraintes légales d’accès et d’utilisation de la donnée, 4 informations sont à renseigner :

- Les contraintes de sécurité liées au niveau de classification ou de confidentialité de la donnée (donnée sensible, donnée secret défense, etc.)
- Les contraintes l’égales d’accès et d’utilisation publique liées à des restrictions permises par la directive Inspire (données sur les espèces menacées, données nominatives, etc.)
- Les contraintes l’égales d’accès et d’utilisation liées à l’existence d’autres restrictions imposées par la loi (droits d’auteur, licence, etc.)
- Les conditions légales d’utilisation de la donnée liées à des contraintes administratives d’usage et d’accès (redevances, droits de représentation, mentions légales, etc.)

Les 3 premières informations dépendant de listes fermées de valeurs. La dernière permet la saisie de texte libre.

Dans le cadre du partenariat CIGAL il est proposé de mettre en œuvre ces éléments de la façon suivante :

- Le niveau de confidentialité est une liste de valeurs (secret, confidentiel, etc.) à saisir obligatoirement et ayant par défaut la valeur « Non classifié » (cf. paragraphe 6.#
- Les contraintes légales d’accès et d’utilisation définis par la directive INSPIRE correspondent à une liste de valeurs relatives au code de l’environnement et à la directive INSPIRE. Par défaut, la valeur est fixée à « Pas de restriction d’accès public selon INSPIRE » (cf. paragraphe 6.#.
- Les contraintes légales d’accès et d’utilisation liées à d’autres restrictions imposées par la loi sont définies via une liste de valeurs relatives au droit d’auteur / propriété (brevet, licence, etc.). Par défaut ce champ est non renseigné et non obligatoire (cf. paragraphe 6.#.
Les conditions et mentions légales d’utilisation sont saisies sous forme de texte libre et viennent compléter les informations des 3 listes précédentes. Par défaut, la valeur renseignée est « Aucune condition d’accès ne s’applique ». Il est cependant recommandé de bien préciser les mentions légales et les sources à faire figurer sur les supports utilisant les données (cf. paragraphe 6.#.

<!-- End @dataUseLimitations.md -->
