<!-- Begin @contacts.md -->

# Contacts pour la fiche

## Définition

Ce groupe de champs permet d'identifier la personne ou l’organisme de contact pour la fiche descriptive des données.

Il se compose :

- du Nom/Prénom,
- de la Fonction,
- du Nom de l’organisme,
- de l’Adresse,
- du Code postal,
- de la Ville,
- du Téléphone,
- de l’Email,
- et du Rôle de la personne à contacter

Parmi les valeurs possibles des rôles pour un contact définies par la norme ISO 19115 (liste B.# CI_RoleCode), pour faciliter la saisie dans le cadre du partenariat CIGAL, les valeurs proposées par défaut sont :

- « Fournisseur » : organisme  ou personne qui délivre physiquement la fiche de description, soit de manière directe au destinataire, soit par l’intermédiaire d’un diffuseur.
- « Gestionnaire » : organisme  ou personne responsable de la gestion et de la mise à jour de la fiche de description.
- « Point de contact » : organisme  ou personne que l’on peut contacter pour avoir des renseignements détaillés sur la fiche de description.
- « Auteur » : organisme  ou personne qui a complété la fiche de description. Il en détient les droits moraux.

## Recommandations

Au moins un contact avec pour rôle « Point de contact » doit être défini pour chaque fiche. Il correspond au gestionnaire de la fiche ou de l’inventaire des données géographique.
D’autres contacts peuvent être également ajoutés, comme par exemple l’auteur de la fiche en précisant le rôle correspondant.

Il est recommandé de saisir l’ensemble des informations descriptives du contact, notamment :

- Le nom du contact en majuscules et le prénom avec la première lettre en majuscules
- La fonction du contact, en précisant si nécessaire la direction ou le service dont il dépend
- L’organisme en toute lettre (éviter les signes non explicités)
- L’adresse e-mail de la personne à contacter
- Le rôle, indispensable avec comme valeur par défaut « Point de contact »

## Exemples

- Nom: Guillaume RYCKELYNCK
- Fonction: Chef de projet CIGAL
- Organisme: Région Alsace
- Adresse: 1, place Adrien Zeller
- Code postal: 67000
- Ville: STRASBOURG
- Tél: 03 88 15 65 48
- Email: guillaume.ryckelynck@region-alsace.eu
- Rôle: Point de contact

<!-- End @contacts.md -->
