<!-- Begin @dataTopicCategories.md -->

# Catégorie internationale

## Définition

Ce champ permet de classer la donnée dans une ou plusieurs catégories d’une liste fermée et internationale, facilitant ainsi la recherche de cette donnée. Il est important d’associer la donnée à la (ou les) thématique(s) la plus pertinente.

La liste des valeurs proposées dans le cadre du partenariat CIGAL est celle définit par la norme ISO 19115 (liste B.# MD_TopicCategories) et reprise dans le tableau suivant.

Liste des catégories internationales :

| Id | Intitulé    | Description     |
|----|-------|-----|
| 1  | Agriculture     | Elevage et/ou cultures - Exemples : agriculture, irrigation, aquaculture, plantations    |
| 2  | Flore et faune  | Flore et faune dans un écosystème naturel - Exemples : habitat, écologie, faune sauvage, faune aquatique, sciences biologiques, zones humides, végétation, biodiversité   |
| 3  | Limites politiques et administratives     | Exemples : limites de pays, de provinces, de départements, de communes   |
| 4  | Climatologie, météorologie  | Processus et phénomènes atmosphériques - Exemples : climat, météorologie, conditions atmosphériques, changements climatiques, couverture nuageuse    |
| 5  | Economie    | Activités économiques - Exemples : production, travail, revenu, commerce, industrie, tourisme et éco-tourisme, foresterie, pêche, chasse, exploration et exploitation des ressources minières, pétrole, gaz naturel     |
| 6  | Topographie     | Topographie au dessous et dessus du niveau de la mer - Exemples : altitude, bathymétrie, MNT, pentes et calculs dérivés de l’altitude  |
| 7  | Ressources et gestion de l’environnement  | Ressources naturelles, protection, conservation des ressources naturelles - Exemples : pollution, traitement et stockage des déchets, suivi de l’environnement, gestion du risque, réserves naturelles, paysage   |
| 8  | Géosciences     | Informations relatives aux sciences de la terre - Exemples : composants et processus géophysiques, géologie, minéralogie, tectonique, risque sismique    |
| 9  | Santé | Santé, services de santé, épidémiologie - Exemples : maladies et épidémie, facteurs affectant la santé, santé mentale et physique, services de santé     |
| 10 | Carte de référence de la couverture terrestre | Carte de référence - Exemples : occupation des terres, imagerie aérienne et satellitale, carte thématiques, carte topographiques     |
| 11 | Infrastructures militaires  | Bases militaires et infrastructures |
| 12 | Hydrographie    | Exemples : fleuves, rivières, glaciers, lacs salés, systèmes hydrographiques, barrages, débits, qualité de l’eau |
| 13 | Localisant  | Exemples : zones postales, adresses, points de contrôle, réseau géodésique     |
| 14 | Océans  | Composants et caractéristiques du milieu maritime - Exemples : littoral, récifs, marée, etc. |
| 15 | Planification et aménagement du territoire    | Exemples : carte d’utilisation des terres, plan d’occupation des sols, planification pour la prévention des risques    |
| 16 | Société     | Caractéristiques des sociétés et des cultures - Exemples :lois, anthropologie, éducation, données démographiques, archéologique, suivi des systèmes  sociaux, croyances, us et coutumes, crimes et justices   |
| 17 | Aménagements urbains  | aménagements urbains - Exemples : musée, église, usines, maisons, monuments, boutiques, immeubles  |
| 18 | Infrastructures de transport    | Moyens de transports des personnes et des biens - Exemples : routes, aéroports, tunnels, viaducs, ponts, chemin de fer     |
| 19 | Réseaux de télécommunication, d’énergie   | Systèmes de distribution de gestion ou de stockage de l’énergie, de l’eau, des déchets. Infrastructures et services de communication. - Exemples : source d’énergie solaire, hydroélectrique, nucléaire, épuration et distribution des eaux, réseau de distribution |

## Recommandations

Il est recommandé de n’indiquer qu’une seule catégorie. Une donnée appartenant à plusieurs catégories doit rester une exception, mais si elle appartient bien à plusieurs catégories alors ne pas hésiter à lui associer plusieurs catégories.
Il est important de s’assurer de la cohérence des informations saisies pour la catégorie internationale et la classification européenne Inspire (cf. paragraphe #et tableau de correspondance en annexe 2).

## Exemples

Catégorie internationale : « Localisant »

<!-- End @dataTopicCategories.md -->
