<!-- Begin @dataLiStatement.md -->

# Texte sur la qualité

##Définition

La description de la qualité des données n'a pas pour vocation de dire si la donnée est de bonne ou de mauvaise qualité mais de vérifier que le niveau de qualité proposé est en adéquation avec l'application envisagée et les besoins des utilisateurs.
Elle en précise par notamment l’exhaustivité, la précision, les limites d’utilisation, etc.
Ce texte doit également fournir des éléments sur la généalogie de la donnée (données sources) et son mode de production.

## Recommandations

Il est recommandé d’être le plus précis possible dans la description de la qualité de la donnée. Les informations qui doivent être renseignées sont par exemple :
- L’exhaustivité : quelle partie est concernée par le lot de données ? Qu’est-ce qui est exclut ?
- La précision positionnement planimétrique : indiquer des éléments complémentaires aux informations sur la résolution spatiale (cf. paragraphe # en explicitant les conditions optimum d’usage et d’exploitation de la donnée.
- Le contrôle qualité : y-a-il un contrôle qualité des données ? Si oui, expliquer les règles générales de celui-ci et les résultats obtenus. Y-a-il des attributs qui informent de la qualité de l’objet (par exemple un code précision) ?
- Le mode de production : existe-il un cahier des charges ou un dossier de spécifications techniques ?
- Les limites techniques d’utilisation : vous pouvez avertir l’utilisateur des usages pour lesquels le jeu de données n’est pas adapté.
- La généalogie et l’historique de la donnée : texte libre qui retrace l'histoire des données en décrivant les principales phases de production, de contrôle et de correction de la base, en indiquant les données ayant permis cette fabrication (référentiels et données exogènes notamment).
- Pour les données 3D préciser l’étendue verticale et le système vertical de référence.
- Préciser les éléments d’étendu temporelle.

Il est également possible de faire le lien avec des éléments de documentation (cf. paragraphe 6.8).

## Exemples

<!-- End @dataLiStatement.md -->
